### Signal

# Adw SwipeTracker::end-swipe

#### Declaration

    void
    end_swipe (
      AdwSwipeTracker* self,
      gdouble velocity,
      gdouble to,
      gpointer user_data
    )

#### Description [src]

This signal is emitted as soon as the gesture has stopped.

The user is expected to animate the deceleration from the current progress value to `to` with an animation using `velocity` as the initial velocity, provided in pixels per second. `AdwSpringAnimation` is usually a good fit for this.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`velocity`

  Type: `gdouble`

  The velocity of the swipe.

`to`

  Type: `gdouble`

  The progress value to animate to.